Subject: Re: bug#62847: 29.0.90; Propertized space in Org Agenda's mode-name

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Apr 2023 12:49:07 +0300

> Cc: [email-masked]
> From: Ihor Radchenko <[email-masked]>
> Date: Sat, 15 Apr 2023 09:38:43 +0000
> 
> Gustavo Barros <[email-masked]> writes:
> 
> > Call `M-x org-agenda RET a'.  Now examine `mode-name' with `M-:
> > mode-name RET' to get:
> >
> > #+begin_src emacs-lisp
> > ("Org-Agenda" "" #(" " 0 1 (org-category "agenda" tags nil...
> 
> I suspect that it is Emacs-related because I see nothing wrong done on
> Org side.
> 
> The code setting `mode-name' is
> 
> (defun org-agenda-set-mode-name ()
>   "Set the mode name to indicate all the small mode settings."
>   (setq mode-name
> 	(list "Org-Agenda"
> 	      (if (get 'org-agenda-files 'org-restrict) " []" "")
> 	      " "
> 	      '(:eval (org-agenda-span-name org-agenda-current-span))
>               ...)))
> 
> Note the third " " in `mode-name' list.
> Org does not modify the mode-name by side effect.
> 
> This bug is only reproducible when using built-in Org. When I tried to
> reproduce with Git version of Org (the same release tag), no extra
> properties are present in `mode-name'.

I'm afraid I don't understand this bug report, and cannot reproduce
what I thought I understood from it.  Any chance of presenting a
recipe starting from "emacs -Q", for someone who doesn't use
org-agenda?